Shape Vertices Deleted by QGIS are Still Visable by Other Shapefile Viewers, including SAGAGIS

2015-06-23 11:06 AM - Marc Hurst

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21110

Description

I used the QGIS2.8.1 node editing tool to delete several vertices of a shapefile (to remove a small peninsula), then saved the shapefile as

"pit-2-25ft-pl-setback" (attached for reference).

When I load the shapefile into QGIS, the vertices appear to have been successfully deleted (see gqis281.pdf, attached).

However, when I load the same shapefile into other shapefile viewing software, like SAGA2.1.4, the vertices do not appear to have been

deleted (see saga214.pdf, attached).

Apparently the vertices were not deleted. Somehow they were made invisible to QGIS, but not to other shapefile viewers.

Is this expected behavior?

Thanks,

--Marc

Related issues:

Duplicates QGIS Application - Bug report # 11296: Deleting shapes in shapefil... Closed 2014-09-30

History

#1 - 2015-06-23 11:13 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.8.2

- Status changed from Open to Closed

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Tracker changed from Support to Bug report

duplicate of #11296

#2 - 2015-06-23 11:13 AM - Jürgen Fischer

- Resolution set to duplicate

Files

pit-2-25ft-pl-setback.dbf 98 Bytes 2015-06-23 Marc Hurst

pit-2-25ft-pl-setback.prj 459 Bytes 2015-06-23 Marc Hurst

pit-2-25ft-pl-setback.qpj 683 Bytes 2015-06-23 Marc Hurst

pit-2-25ft-pl-setback.shp 3.79 KB 2015-06-23 Marc Hurst

pit-2-25ft-pl-setback.shx 124 Bytes 2015-06-23 Marc Hurst

qgis281.pdf 2.68 KB 2015-06-23 Marc Hurst

saga214.pdf 45.6 KB 2015-06-23 Marc Hurst
